"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Dendrogram = require("../Dendrogram");
const Menu = require("../Menu");
const App = require("./App");
const Store_1 = require("./Store");
const generateProps = (stores, viewStore) => {
    return {
        currentKey: stores.app.state.currentKey,
        npmUrl: stores.app.state.npmUrl,
        Menu: React.createElement(Menu.Container, { store: viewStore.menuStore }),
        Dendrogram: React.createElement(Dendrogram.Container, { store: viewStore.dendrogram }),
    };
};
exports.Container = ({ reducers }) => {
    const createReducer = ([state, dispatch]) => ({ state, dispatch });
    const domainStores = {
        app: createReducer(React.useReducer(...reducers.app)),
        dendrogram: createReducer(React.useReducer(...reducers.dendrogram)),
    };
    const viewStore = Store_1.createViewStore(domainStores);
    return React.createElement(App.Component, Object.assign({}, generateProps(domainStores, viewStore)));
};
//# sourceMappingURL=Container.js.map