"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const classnames_1 = require("classnames");
const React = require("react");
const Menu = require("./Menu");
const styles = require("../../style.scss");
const generateProps = (key, store) => {
    const isActive = key === store.currentKey;
    return {
        li: {
            key,
        },
        a: {
            href: "#",
            className: classnames_1.default(styles.navLink, isActive ? styles.active : ""),
            onClick: () => {
                store.updateKey(key);
            },
            children: key,
        },
    };
};
exports.Container = ({ store }) => {
    return (React.createElement("ul", { className: classnames_1.default(styles.nav, styles.flexColumn) }, store.scripts.map(key => {
        return React.createElement(Menu.Component, Object.assign({}, generateProps(key, store), { key: `menu-item-${key}` }));
    })));
};
//# sourceMappingURL=Container.js.map