"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Link = require("./TreeLink");
const generateProps = (store, link) => {
    return {
        x1: link.source.x * store.position.scale.x + store.position.offset.x,
        x2: link.target.x * store.position.scale.x + store.position.offset.x,
        y1: link.source.y * store.position.scale.y + store.position.offset.y,
        y2: link.target.y * store.position.scale.y + store.position.offset.y,
    };
};
exports.Container = ({ store }) => {
    if (!store.canShow) {
        return null;
    }
    return (React.createElement(React.Fragment, null, store.links.map((link, idx) => {
        return React.createElement(Link.Component, Object.assign({}, generateProps(store, link), { key: `link-${idx}` }));
    })));
};
//# sourceMappingURL=Container.js.map