"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express = require("express");
const fs = require("fs");
const path = require("path");
exports.createServer = (libDir, baseDir, inputFile) => {
    let cacheTemplate;
    const packageJsonFile = path.join(baseDir, inputFile);
    const app = express();
    const pkg = require(packageJsonFile);
    const applyProps = () => {
        const props = { pkg };
        const template = cacheTemplate ? cacheTemplate : fs.readFileSync(path.join(libDir, "build/index.html"), { encoding: "utf-8" });
        cacheTemplate = template;
        return template.replace("{{ SSR_DOM }}", "").replace("{{ SSR_INITIAL_STATE }}", JSON.stringify(props));
    };
    app.use("/static", express.static(path.join(libDir, "build/static")));
    app.use("/manifest.json", express.static(path.join(libDir, "build/manifest.json")));
    app.get("*", (req, res) => {
        res.send(applyProps());
        res.end();
    });
    return app;
};
//# sourceMappingURL=server.js.map